# Pratyush Desai

## Personals

* Name:   Pratyush Desai
* Age:    29
* DOB:    1992-12-28T03:17:00+UTC+5.5
* Addr:   Mumbai, MH, India
* Email: pratyushndesai@gmail.com, pratyush.desai@liberta.casa, mail@pratyushdesai.com (*defunct atm*)
* Phone1: +919821758708
* Phone2: +919321764308
* XMPP: mogad0n@liberta.casa
* IRC: mogad0n on ircs://irc.liberta.casa

## Academics

* SITRC, University of Pune (B.E. Mech Engg 3rd Year)

## Work Experience

1. [Movia Media](https://movia.media/)
    * From: 2021-03-18T00:00:00+UTC
    * To: **CURRENT**
    * Role: Developer

    * Responsibilities
        * Python Tooling
        * Primarily Django Framework and the DRF
        * Database Migrations
        * Admin Functionality Enhancement
        * Developing a Customer Facing Endpoint for auth and dashboard logins.
        * Collaborated on Vue.js

2. [The Bohri Kitchen](https://tbk.com)
    * From: 2018-08-17T00:00:00+UTC
    * To: 2019-03-23T00:00:00+UTC
    * Role: Executive Assistant (EA) to the CEO

    * Responsibilities
        * IT* - hardware purchases, basic system maintenance, automating login systems, enforce record keeping
        * HR* - Format the offer letters, NDAs, Job Descriptions, Employee Handbooks, Primary Interviews.
        * Strategising - Mindmaps to establish relations between company targets and individual roles. Devising a
        an appraisal plan involving Objectives and Key Results (OKRs)
        * Accounts - Auditing share allotment, correcting issues and presenting the first ever shareholder meet. Digitising the entire accounts tallying from paper bills to using prepaid cards with their Web UI allowing for seamless tracking of company expenditures.
        * Marketing and Ops - Besides enforcing data collection for targeted marketing and surveying the competition, I identified an opportunity to form a symbiotic relation which shaved approx 12-15months of cloud kitchen deploy time and many initial costs.
        * While it may sound like i did everything at this firm and that is something I that may be considered accurate, it was a startup of 6-7 individuals when i joined, the systems in place weren't suitable for scaling and the enthusiasm of the CEO towards these changes were essential is such a wide gamut of exertions.
  
## FLOSSING

June 2019 --> **NOW**

Most of my experience comes from hosting FOSS services for the general public under the umbrella of the [LibertaCasa](https://liberta.casa) | [org](https://git.casa). It is designed to embody and promulgate self-sufficiency.

Most of the codebase can be found [here](https://git.com.de) at the gitea instance.
My daily endeavours take me through the following broad tasks.

1. Provisioning VMs and deploying containerized services.
2. Developing solutions for simplifying workflows with scripts and specialized software.
3. Monitoring with a focus on fundamental parameters such as `auditd` (rules for syscalls and files) and `aide` along with software such as `munin`, `prometheus`, `grafana`, `graylog`, `darkstat`.
4. VCS and backups. Rotating logs, designing email reports for `nodeexporter` alerts.
5. I run a plethora of services such as a thriving [irc](https://liberta.casa/gamja) community with `matrix` and `xmpp` protocols bridged as well. I enjoy writing plugins in `python` for the `ircbot` and have implemented a `webregistration` for IRC, a first considering with was a simple `flaskapp` and some `golang`. There are icecast and other streaming servers along with a shell provisioning service.
6. Behind the scenes life is a little hectic, I have been engaging in understanding networking in great detail involving IPSEC, OSPF and GRE tunnels betn our sites and working on deploy scripts.
7. The 3 Authoritative NameServers using PowerDNS use mysql due to its better replication ease. But I am frequently dealing with Postgresql, sqlite3 etc. Optimizing dotfiles for better runtime.

I am considerably comfortable on ArchLinux, openSuse and debian based systems. I have spent some time with BSD but I am yet to explore their networking prowess.

We run some 20 odd servers with some being public tor relay nodes and with my exposure to this comes my experience.

All my code is available [here](https://git.com.de/pratyush)

Thank You
